【活用ガイド】

JVNDB-2006-000068

HP-UX の libc におけるバッファオーバーフローの脆弱性

概要

HP-UX の OS-Core.CORE-SHLIBS ファイルセットに含まれる libc には、タイムゾーンの設定を行う TZ 環境変数の境界チェックが不適切なため、TZ 環境変数を処理する関数 (localtime_r() 関数等) においてバッファオーバーフローが発生する脆弱性が存在します。
CVSS による深刻度 (CVSS とは?)

CVSS v2 による深刻度
基本値: 7.2 (危険) [NVD値]
  • 攻撃元区分: ローカル
  • 攻撃条件の複雑さ: 低
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): 全面的
  • 完全性への影響(I): 全面的
  • 可用性への影響(A): 全面的
影響を受けるシステム


ヒューレット・パッカード
  • HP-UX 11.00 
  • HP-UX 11.04 
  • HP-UX 11.11 

想定される影響

TZ 環境変数を使用するコマンドの権限で任意のコードを実行される可能性があります。
対策

ベンダより正式な対策が公開されています。ベンダ情報を参照して適切な対策を実施してください。
ベンダ情報

ヒューレット・パッカード
CWEによる脆弱性タイプ一覧  CWEとは?

共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2006-0436
参考情報

  1. National Vulnerability Database (NVD) : CVE-2006-0436
  2. SecurityFocus : 20718
  3. SecurityTracker : 1015530
更新履歴

  • [2007年04月01日]
      掲載